### Method

# Gimp Display get_window_handle

since: 2.4

#### Declaration [src]

    GBytes*
    gimp_display_get_window_handle (
      GimpDisplay* display
    )

#### Description [src]

Get a handle to the native window for an image display.

This procedure returns a handle to the native window for a given image display. It can be different types of data depending on the platform you are running on. For example in the X backend of GDK, a native window handle is an Xlib XID whereas on Wayland, it is a string handle. A value of NULL is returned for an invalid display or if this function is unimplemented for the windowing system that is being used.

Available since: 2.4

#### Return value

Type: `GBytes`

The native window handle or NULL.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.